﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="WishListCollectionResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2015
// </copyright>
// <summary>
//   The wish list collection response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Collections.ObjectModel;
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Models;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// The wish list collection response class.
    /// </summary>
    [DataContract]
    public class WishListCollectionResponse : ServiceResponse
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="WishListCollectionResponse"/> class.
        /// </summary>
        public WishListCollectionResponse()
        {
            this.WishLists = new Collection<WishList>();
        }

        /// <summary>
        /// Gets the wish lists.
        /// </summary>
        /// <value>
        /// The wish lists.
        /// </value>
        [DataMember]
        public Collection<WishList> WishLists { get; set; }
    }
}