﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AuthorizationManager.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2015
// </copyright>
// <summary>
//   The authorization manager.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Models;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Storefront;
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    /// Authorization manager
    /// </summary>
    [ExcludeFromCodeCoverage]
    public class AuthorizationManager : IAuthorizationManager
    {
        /// <summary>
        /// Tries to read the customer map
        /// </summary>
        /// <param name="userId">The identifier for the user.</param>
        /// <param name="userCustomerMap">The user customer map.</param>
        /// <returns>The user customer map if exists.</returns>
        public bool TryReadCustomerMap(string userId, out UserCustomerMap userCustomerMap)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
            userCustomerMap = new UserCustomerMap();
            return true;
        }

        /// <summary>
        /// Creates the map for user and customer
        /// </summary>
        /// <param name="userId">The identifier for the user.</param>
        /// <param name="customerId">The identifier for the customer.</param>
        /// <param name="xmlData">The xml data.</param>
        /// <returns>The user customer map.</returns>
        public UserCustomerMap CreatePendingUserCustomerMap(string userId, string customerId, string xmlData)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
            return new UserCustomerMap();
        }

        /// <summary>
        /// Updates the map for user and customer
        /// </summary>
        /// <param name="userCustomerMap">The user customer map.</param>
        public void UpdateUserCustomerMap(UserCustomerMap userCustomerMap)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
        }

        /// <summary>
        /// Creates the user and customer map
        /// </summary>
        /// <param name="userCustomerMap">The user customer map.</param>
        public void CreateUserCustomerMap(UserCustomerMap userCustomerMap)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
        }

        /// <summary>
        /// Deletes the user and customer map
        /// </summary>
        /// <param name="userId">The identifier for the user.</param>
        public void DeleteUserCustomerMap(string userId)
        {
            // THIS SHOULD BE PROPERLY IMPLEMENTED IF NEEDED
        }
    }
}